import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class ServiceHeadBlock extends StatelessWidget {
  const ServiceHeadBlock({super.key});

  @override
  Widget build(BuildContext context) {
    final screenWidth = MediaQuery.of(context).size.width;
    return Stack(
      clipBehavior: Clip.none,
      children: [
        Positioned(
          left: -28.w,
          right: -28.w,
          top: 0,
          child: Container(
            height: 150.h,
            color: Colors.white,
          ),
        ),
        Container(
          height: 150.h,
          padding: EdgeInsets.only(top: ScreenUtil().statusBarHeight, left: 20.w, right: 20.w),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Text(
                '客房服务看板',
                style: TextStyle(
                  fontSize: 32.sp,
                  fontWeight: FontWeight.bold,
                  color: const Color.fromRGBO(0, 0, 0, 1),
                  fontFamily: 'FZLTXH',
                ),
              ),
              Container(
                width: 64.w,
                height: 64.w,
                decoration: BoxDecoration(
                  shape: BoxShape.circle,
                  border: Border.all(
                    color: const Color.fromRGBO(73, 149, 234, 1),
                    width: 1.w,
                  ),
                ),
                child: CircleAvatar(
                  radius: 40.w,
                  backgroundColor: Colors.white,
                  child: Icon(
                    Icons.person,
                    color: const Color.fromRGBO(73, 149, 234, 1),
                    size: 48.sp,
                  ),
                ),
              ),
            ],
          ),
        ),
      ],
    );
  }
}
